*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: 'Jost', sans-serif;
    list-style: none;
    text-decoration: none;
    scroll-behavior: smooth;
}

:root{
    --bg-color: #ffffff;
    --text-color: #000;
    --secound-color: #a09dab;
    --main-color: #f75023;
    --big-font: 5rem;
    --h2-font: 3rem;
    --p-font: 1.1rem;
}

body{
    background: var(--bg-color);
    color: var(--text-color);
}

header{
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 18%;
    transition: .3s;
}

.logo img{
    max-width: 100%;
    width: 130px;
    height: auto;
}

.navlist{
    display: flex;
}

.navlist li{
    position: relative;
}

.navlist a{
    font-size: var(--p-font);
    color: var(--main-color);
    font-weight: 500;
    padding: 10px 27px;
}

/* make the underline when u hover to the nav */
.navlist a::after{
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    background: var(--main-color);
    bottom: -3px;
    Left: 0;
    transition: ease .40s;
}

.navlist a:hover::after{
    width: 100%;
}

#menu-icon{
    font-size: 35px;
    color: var(--text-color);
    z-index: 10001;
    cursor: pointer;
    display: none;
}

.top-btn{
    display: inline-block;
    padding: 9px 30px;
    background: transparent;
    border: 2px solid var(--main-color);
    border-radius: 30px;
    color: var(--text-color);
    letter-spacing: 1px;
    font-z-index: 1px;
    font-size: var(--p-font);
    font-weight: 500;
    transition: ease .50s;
}

.top-btn:hover{
    transform: scale(1.1);
    background: var(--main-color);
    border: 2px solid var(--main-color);
    color: var(--bg-color);
}

section{
    padding: 100px 18%;
}

.home{
    min-height: 100vh;
    height: 100%;
    width: 100%;
    background: url("../img/programmer.png");
    background-size: cover;
    background-position: center;
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    grid-gap: 4rem;
}

.home-text h1{
    max-resolution: 10px 0px 25px;
    font-size: var(--big-font);
    line-height: 1;
    font-weight: 500;
    color: #fff;
    text-shadow:
            0 0 7px #fff,
            0 0 0 #fff,
            0 0 21px #ff4747,
            0 0 0 #ff590c,
            0 0 0 #ff590c;
}

.home-text h5{
    margin-bottom: 23px;
    font-size: 17px;
    font-weight: 500;
    background: #D9D1FA;
    padding-left: 10px;
}

span{
    color:var(--main-color);
}

.home-text h3{
    color: var(--main-color);
    font-size: 20px;
    font-weight: 500;
}

.home-text p{
    font-size: var(--p-font);
    color: var(--main-color);
    line-height: 28px;
    padding-top: 20px;
    margin-bottom: 20px;
    -webkit-text-stroke-width: 0.2px;
    -webkit-text-stroke-color: black;
}

.social a{
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: rgba(128,103,240,1);
    font-size: 17px;
    color: var(--bg-color);
    margin-right: 22px;
    margin-bottom: 30px;
}

.social a:hover{
    transform: scale(1.1);
    background: var(--main-color);
    transition: .5s;
}

.btn{
    display: inline-block;
    color: var(--bg-color);
    background: var(--main-color);
    font-size: var(--p-font);
    padding: 10px 40px;
    font-weight: 500;
    border-radius: 30px;
    transition: ease .40s;
}

.btn:hover{
    transform: scale(1.1);
}

.home-img img{
    max-width: 100%;
    width: 540px;
    height: auto;
}

header.sticky{
    background: var(--bg-color);
    padding: 13px 18%;
    box-shadow: 0 0 10px rgba(0 0 0 /10%);
}

.items{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(220px,auto));
    grid-gap: 2rem;
    align-items: center;
    text-align: center;
}

.sub-box{
    padding: 45px 45px 45px 45px;
    transition: ease .50s;
    cursor: pointer;
}

.sub-img img{
    max-width: 100%;
    width: 60px;
    height: auto;
    margin-bottom: 20px;
}

.sub-box h3{
    margin-bottom: 20px;
    font-size: 24px;
    font-weight: 500;
}

.sub-box p{
    font-size: var(--p-font);
    color: var(--secound-color);
    line-height: 29px;
}

.sub-box:hover{
    background: #ffffff;
    box-shadow: 18px 0 87px 0 rgba(10 15 70 /7%);
    border-radius: 12px;
    will-change: transform;
    transform: perspective(1000px) rotateX(4.80deg) rotateY(10.23deg) scale3d(1.05,1.05,1.05);
}

.about{
    display: grid;
    grid-template-columns: repeat(2,2fr);
    align-items: center;
    grid-gap: 2rem;
}

.about-img img{
    max-width: 100%;
    width: 540px;
    height: auto;
}

.about-text h2{
    font-size: var(--h2-font);
    font-weight: 500;
    margin: 8px 0 25px;
    line-height: 1.1rem;
}

.about-text h3{
    color: var(--main-color);
    font-size: 20px;
    font-weight: 500;
}

.about-text p{
    max-width: 550px;
    font-size: var(--p-font);
    color: var(--secound-color);
    line-height: 28px;
    margin-bottom: 45px;
}

.heading{
    text-align: center;
}

.heading h2{
    font-size: var(--h2-font);
    font-weight: 500;
    margin: 7px 0 20px;
    line-height: 1.1;
}

.heading h3{
    color: var(--main-color);
    font-size: 20px;
    font-weight: 500;
}

.heading p{
    font-size: var(--p-font);
    color: var(--secound-color);
    line-height: 28px;
}

/* PORTFOLIO TALL */
.portfolio-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, auto));
    grid-gap: 2rem;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
    cursor: pointer;
}

/* PORTFOLIO WIDE */
.portfolio-wide-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(500px, auto));
    grid-gap: 2rem;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
    /*cursor: pointer;*/
}

.col{
    position: relative;
}

.col img{
    max-width: 100%;
    width: auto;
    height: auto;
    object-fit: cover;
    border-radius: 15px;
}

.info-bar {
    position: absolute;
    bottom: 0;
    width: 100%;
    background-color: transparent;
    color: white;
    padding: 10px;
    border-radius: 20px;
    margin: 10px;
}

.info-bar img{
    float: left;
    padding: 5px;
    border-radius: 2px;
    width: 40px;
    height: auto;
}

.layer{
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 15px;
    transition: all .40s;
}

.layer:hover{
    background: linear-gradient(rgba(0,0,0,0.5) 0%, #191919);
}

.layer h3{
    position: absolute;
    width: 100%;
    font-size: 25px;
    font-weight: 500;
    color: var(--bg-color);
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: all .40s;
}

.layer:hover h3{
    bottom: 52%;
    opacity: 1;
}

.layer h5{
    position: absolute;
    width: 100%;
    font-size: 15px;
    font-weight: 500;
    color: var(--bg-color);
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: all .40s;
}

.layer:hover h5{
    bottom: 48%;
    opacity: 1;
}

.pop-up-img{
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    opacity: 0;
    transition: all .40s;
}

.pop-up-img img{
    border-radius: 2px;
    width: 40px;
    height: auto;
    transition: all .40s;
}

.layer:hover .pop-up-img {
    bottom: 30%; /* Adjust as needed to position the images below the h3 and h5 */
    opacity: 1;
}

.external-link {
    position: absolute;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: var(--main-color);
    font-size: 17px;
    color: var(--bg-color);
    margin-right: 22px;
    margin-bottom: 30px;
    top: 15px;
    left: 15px;
}

.external-link:hover{
    transform: scale(1.1);
    background: var(--main-color);
    transition: .5s;
}

.service-content{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, auto));
    grid-gap: 2rem;
    align-items: center;
    margin-top: 5rem;
}

.row{
    background: #ffffff;
    box-shadow: 18px 0 87px 0 rgba(10 15 70 /7%);
    border-radius: 15px;
    padding: 45px 45px 45px 45px;
    transition: ease .45s;
    cursor: pointer;
}

.s img{
    height: 65px;
    width: 65px;
    background: #f75124;
    padding: 15px;
    border-radius: 50%;
    margin-bottom: 20px;
}

.s.s-one img{
    background: #baebcd;
}
.s.s-two img{
    background: #D9D1FA;
}
.s.s-three img{
    background: #faedce;
}

.row h3{
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 2px;
}

.row h5{
    font-size: 17px;
    font-weight: 500;
    margin-bottom: 19px;
}

.row p{
    font-size: var(--p-font);
    color: var(--secound-color);
    line-height: 28px;
}

.row:hover{
    /*background: #ffffff;*/
    /*box-shadow: 18px 0px 87px 0px rgba(10 15 70 /7%);*/
    /*border-radius: 12px;*/
    will-change: transform;
    transform: perspective(1000px) rotateX(4.80deg) rotateY(10.23deg) scale3d(1.05,1.05,1.05);
}

.cta-box{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, auto));
    grid-gap: 2rem;
    align-items: center;
    margin-top: 5rem;
    text-align: center;
}

.wrap{
    background: #ffffff;
    box-shadow: 18px 0 87px 0 rgba(10 15 70 /7%);
    border-radius: 15px;
    padding: 50px 50px 50px 50px;
    transition: ease .40s;
    cursor: pointer;
}

.one{
    background: #D9D1FA;
}

.two{
    background: #faedce;
}

.three{
    background: #baebcd;
}

.wrap h3{
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 2px;
}

.wrap p{
    font-size: var(--p-font);
}

.contact{
    background: #8067f0eb;
    width: 64%;
    margin: 100px auto;
    padding: 70px 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 15px;
    background-image: url("/img/intro.png");
    background-size: cover;
}

.center h3{
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 3px;
    color: var(--bg-color);
}

.center p{
    font-size: var(--p-font);
    color: var(--bg-color);
    line-height: 26px;
    margin-bottom: 25px;
}


.ends{
    text-align: center;
    padding: 40px;
    color: var(--secound-color);
}

.ends p{
    font-size: var(--p-font);
    letter-spacing: 1px;
}


.contact{
    display: flex;
    flex-direction: column;
    background: #8067f0eb;
    width: 64%;
    margin: 100px auto;
    padding: 70px 150px;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 15px;
    background-image: url("/img/intro.png");
    background-size: cover;
}

.contact .action{
    display: flex;
    flex-direction: column;
}

.contact .action form input[type="email"]{
    max-width: 100%;
    width: 470px;
    padding: 12px 15px;
    color: var(--text-color);
    background: var(--bg-color);
    border: none;
    outline: none;
    border-radius: 30px;
}

.contact .action form textarea{
    width: 470px;
    height: 200px;
    padding: 12px 15px;
    margin-top: 25px;
    color: var(--text-color);
    background: var(--bg-color);
    border: none;
    outline: none;
    border-radius: 30px;
    resize: none;
}

.contact .action form input[type="submit"]{
    padding: 12px 40px;
    background: var(--main-color);
    border: none;
    outline: none;
    margin: 20px auto;
    border-radius: 30px;
    color: var(--bg-color);
    cursor: pointer;
    align-self: center;
}

.top-btn-small{
    visibility: hidden;
}

/*responsive css*/
@media (max-width: 1425px){
    header{
        padding: 13px 18%;
        transition: .3s;
    }

    header .sticky{
        padding: 10px 3%;
        transition: .3s;
    }

    section{
        padding: 70px 3%;
        transition: .3s;
    }

    .contact{
        width: 95%;
        transition: .3s;
    }

    :root{
        --big-font: 4rem;
        --h2-font: 2.3rem;
        --p-font: 1rem;
        transition: .3s;
    }
}

@media (max-width: 920px){
    #menu-icon{
        display: block;
    }
    .home{
        min-height: 80vh;
    }

    .navlist{
        padding: 13px 18%;
        text-align: right;
        transition: all 0.40s;
    }

    .top-btn{
        font-size: 14px;
        padding: 5px;
    }

    /*.top-btn-small{
        display: inline-block;
        padding: 5px;
        background: transparent;
        border: 2px solid var(--main-color);
        border-radius: 30px;
        color: var(--text-color);
        font-size: var(--p-font);
        font-weight: 500;
        transition: ease .50s;
        visibility: visible;
    }

    .top-btn-small:hover{
        transform: scale(1.1);
        background: var(--main-color);
        border: 2px solid var(--main-color);
        color: var(--bg-color);
    }*/

    .col .main-img img{
        max-width: 100%;
        width: 800px;
        height: auto;
        object-fit: cover;
        border-radius: 15px;
    }
}

@media (max-width: 800px){
    .home{
        grid-template-columns: 1fr;
        min-height: 130vh;
        grid-gap: 1rem;
    }
    .home-text{
        padding-top: 55px;
    }

    .home-img{
        text-align: center;
    }

    .home-img img{
        width: 440px;
        height: auto;
    }

    .about{
        grid-template-columns: 1fr;
    }

    .about-img{
        text-align: center;
        margin-bottom: 30px;
    }
    :root{
        --big-font: 3.4rem;
        --h2-font: 2rem;
    }

    section{
        padding: 65px 3%;
        transition: .3s;
    }

}

@media (max-width: 740px){
    .contact .action form input[type="email"], .contact .action form textarea{
        width: 259px;
    }
}



/* Responsive styles for smaller screens */
@media screen and (max-width: 768px) {

    .navlist {
        margin-left: 0;
        align-items: center;
    }

    .navlist ul{
        margin: 0;
    }

    .navlist a {
        padding: 5px;
        text-align: left;
    }

    .navlist a {
        font-size: smaller; /* reduced font size, assuming you've defined it */
    }

    .top-btn{
        font-size: 10px;

    }

    .portfolio-content,
    .portfolio-wide-content {
        grid-template-columns: repeat(auto-fit, minmax(100%, auto));
        grid-gap: 1rem;
    }

    .col {
        padding: 0;
    }

    .col img{
        width: 100%;
        height: auto;
    }

    .pop-up-img{
        bottom: 0;
    }

    .pop-up-img img{
        width: 25px;
    }

    .layer h3 {
        font-size: 15px;
    }

    .layer h5{
        font-size: 10px;
    }


}




